$(function() { 

 'use strict'; 

 document.getElementById('legendArea1').innerHTML = 'Custo de aquisição(R$)'; 
 document.getElementById('legendArea2').innerHTML = 'Peso(kg)'; 
 document.getElementById('legendArea3').innerHTML = 'Valor de venda(R$)'; 
 document.getElementById('legendAreaOne').innerHTML = 'Produtos'; 
 document.getElementById('legendAreaTwo').innerHTML = 'Fabricantes'; 
 document.getElementById('legendAreaThree').innerHTML = 'Clientes'; 
 document.getElementById('captionSmallBoxes').innerHTML = 'Resumo Mensal - Junho/2022'; 
 document.getElementById('captionTitleLine').innerHTML = 'Análise de faturamento - Venda x Peso x Custo por Mês/Ano'; 
 document.getElementById('captionPeriodLine').innerHTML = '(últimos 12 meses)'; 
 document.getElementById('captionTitleDonut').innerHTML = 'Percentual de representatividade por vendedor (%)'; 
 document.getElementById('captionPeriodDonut').innerHTML = '(últimos 3 meses)'; 
 document.getElementById('captionTitleBar').innerHTML = 'Faturamento por cidade (R$)'; 
 document.getElementById('captionPeriodBar').innerHTML = '(últimos 3 meses)'; 
 document.getElementById('captionProgressTrio').innerHTML = 'Resumo Diário - 24/Junho'; 
 document.getElementById('captionTitleGroupKnobs').innerHTML = 'Ranking - Percentual de representatividade (%)'; 
 document.getElementById('captionPeriodGroupKnobs').innerHTML = '(últimos 3 meses)'; 

 document.getElementById('numFirstBox').innerHTML = '4.364.979'; 
 document.getElementById('numSecondBox').innerHTML = '5.456.223'; 
 document.getElementById('numThirdBox').innerHTML = '1840'; 
 document.getElementById('numFourthBox').innerHTML = '296'; 
 document.getElementById('textFirstBox').innerHTML = 'Faturamento Mensal'; 
 document.getElementById('textSecondBox').innerHTML = 'Faturamento - Projeção do Mês'; 
 document.getElementById('textThirdBox').innerHTML = 'Clientes Positivados'; 
 document.getElementById('textFourthBox').innerHTML = 'Produtos Positivados'; 

 document.getElementById('knobGroupThree').value = '2.87'; 
 document.getElementById('labelKnobGroupThree').innerHTML = "BRETAS CD 688"; 
 document.getElementById('knobGroupSix').value = '2.58'; 
 document.getElementById('labelKnobGroupSix').innerHTML = "MEDITERRANEO PESCADOS"; 
 document.getElementById('knobGroupNine').value = '2.37'; 
 document.getElementById('labelKnobGroupNine').innerHTML = "C02 (602-5) SHIBATA ATAC"; 
 document.getElementById('knobGroupTwelve').value = '0.85'; 
 document.getElementById('labelKnobGroupTwelve').innerHTML = "LAGOSTAO COMERCIO DE PESCADOS"; 
 document.getElementById('knobGroupFifteen').value = '0.83'; 
 document.getElementById('labelKnobGroupFifteen').innerHTML = "IMPACTO INDUSTRIA COMERCIO E S";

 document.getElementById('knobGroupOne').value = '7.83'; 
 document.getElementById('labelKnobGroupOne').innerHTML = "SALMAO EVISC RESFRIADO PREMIUM 10/12  CX/28KG"; 
 document.getElementById('knobGroupFour').value = '6.53'; 
 document.getElementById('labelKnobGroupFour').innerHTML = "PANGASIUS FILE S/V S/GORD 220UP PL CX 10KG PEIXES MEGGS"; 
 document.getElementById('knobGroupSeven').value = '6.04'; 
 document.getElementById('labelKnobGroupSeven').innerHTML = "CAÇÃO POSTA PCTE 800G CX 15 PCT PEIXES MEGGS"; 
 document.getElementById('knobGroupTen').value = '5.31'; 
 document.getElementById('labelKnobGroupTen').innerHTML = "TILAPIA FILE GR/CX15KG  DIVERSAS"; 
 document.getElementById('knobGroupThirteen').value = '5.1'; 
 document.getElementById('labelKnobGroupThirteen').innerHTML = "SALMAO EVISC RESFRIADO PREMIUM 12/14  CX/28KG";

 document.getElementById('knobGroupTwo').value = '36.07'; 
 document.getElementById('labelKnobGroupTwo').innerHTML = "NDF"; 
 document.getElementById('knobGroupFive').value = '33.49'; 
 document.getElementById('labelKnobGroupFive').innerHTML = "PEIXES MEGGS"; 
 document.getElementById('knobGroupEight').value = '13.58'; 
 document.getElementById('labelKnobGroupEight').innerHTML = "SALMAO FRESCO "; 
 document.getElementById('knobGroupEleven').value = '7.17'; 
 document.getElementById('labelKnobGroupEleven').innerHTML = "MULTI FISH "; 
 document.getElementById('knobGroupFourteen').value = '4.86'; 
 document.getElementById('labelKnobGroupFourteen').innerHTML = "MCCAIN VAREJO";

 $('.knob').knob(); 

 $('.knob').css('font-size','12px').css('font-weight','bold').css('color','#ffffff'); 


  $('.progressBarTrioOne').css('width','96.5611%'); 

  $('.progressBarTrioTwo').css('width','0.214%'); 

  $('.progressBarTrioThree').css('width','3.225%'); 

  document.getElementById('textProgressBarOne').innerHTML = 'R$ 278.007'; 
  document.getElementById('textProgressBarTwo').innerHTML = 'R$ 616'; 
  document.getElementById('textProgressBarThree').innerHTML = 'R$ 9.285'; 
  document.getElementById('captionProgressBarOne').innerHTML = 'Pedidos Abertos'; 
  document.getElementById('captionProgressBarTwo').innerHTML = 'Pedidos Cancelados'; 
  document.getElementById('captionProgressBarThree').innerHTML = 'Pedidos Faturados'; 

  var bar = new Morris.Bar({ 
    element: 'bar-chart', 
    resize: true, 
    hideHover: 'auto', 
    data: [{ 
      y: "SÃO JOSÉ DOS CAMPOS", 
      item1: 1703702.06 
   }, { 
      y: "RIBEIRAO PRETO", 
      item1: 1518115.37 
   }, { 
      y: "SÃO PAULO", 
      item1: 1046421.9 
   }, { 
      y: "AMERICANA", 
      item1: 939297.86 
   }, { 
      y: "CAMPINAS", 
      item1: 902315.92 
   }], 
    xkey: 'y', 
    ykeys: ['item1'], 
    labels: ['Faturamento R$'], 
    barColors: ['#efefef'], 
    gridTextFamily: 'Calibri', 
    gridTextColor: '#ffffff', 
    gridTextSize: 11, 
    gridLineColor: '#ffffff', 
    barSizeRatio: 0.50, 
    xLabelMargin: 5 
  }); 

 var donut = new Morris.Donut({ 
    element: 'donut-chart', 
    resize: true, 
    colors: ["#1B9AAA", "#9E9E9E", "#BD445F", "#607D8B", "#F2A594","#D9D9D9",
             "#154E71","#CFCF53", "#FF5850", "#B6B6B6", "#0A9600", "#E6E4E5", "#66CCFF",
             "#969696", "#DA5711", "#A3C2C2", "#E62E00", "#CC6699", "#00B386", "#B3B3CC", "#FF6600"],
    data: [{ 
        label: "JOSUE FRANCISCO CASTILHO SOBRINHO", 
        value: 6.78 
    }, { 
        label: "AR2J RCA			", 
        value: 6.46 
    }, { 
        label: "SILVANO MORENO RODRIGUES CLT", 
        value: 6.27 
    }, { 
        label: "RODRIGO GRILO DE OLIVEIRA REPRESENTACAO COMERCIAL				", 
        value: 5.6 
    }, { 
        label: "LUIZ ANTONIO CASTILHO FILHO				", 
        value: 4.96 
    }, { 
        label: "CAMPANARO E CAMPANARO LTDA				", 
        value: 4.72 
    }, { 
        label: "TD CARNES REPRESENTAÇOES LTDA", 
        value: 4.7 
    }, { 
        label: "MARCIA RODRIGUES REPRESENTAÇÃO", 
        value: 3.33 
    }, { 
        label: "ARY SCHIAVO SA SILVA  ", 
        value: 2.87 
    }, { 
        label: "TIAGO ALVES FEITEIRO CLT", 
        value: 2.83 
    }, { 
        label: "VAGNER AVANZI REPRESENTANTE COMERCIAL ME							", 
        value: 2.67 
    }, { 
        label: "NECAEL LIMA DE SOUSA CLT", 
        value: 2.44 
    }, { 
        label: "ROGNER FRANCISCO CAYRES CLT", 
        value: 2.32 
    }, { 
        label: "TM REPRESENTAÇÕES COMERCIAIS E SERVIÇOS LTDA", 
        value: 2.17 
    }, { 
        label: "ALCIDES JOSE CHIODI NOVO", 
        value: 2.09 
    }, { 
        label: "LUCIO REPRESENTACAO COMERCIAL LTDA ME				", 
        value: 2.06 
    }, { 
        label: "JOSE ARNALDO DE ARAUJO CLT", 
        value: 2.05 
    }, { 
        label: "HELOISA HELENA AGUIAR SOUZA CLT", 
        value: 1.77 
    }, { 
        label: "TALITA MARA MENDES DA SILVA CLT", 
        value: 1.74 
    }, { 
        label: "BRUNO SERGIO PENA CLT", 
        value: 1.73 
    }, { 
        label: "Outros", 
        value: 30.44 
    }], 
    hideHover: 'auto' 
 }); 

 var area = new Morris.Area({ 
  element: 'area-chart', 
  resize: true, 
  data: [{ 
     y: '07/21', 
     item1: 4371721.66, 
     item2: 199838.34, 
     item3: 3030571.09 
   }, { 
     y: '08/21', 
     item1: 5081949.03, 
     item2: 231525.69, 
     item3: 3435633.77 
   }, { 
     y: '09/21', 
     item1: 5064807.4, 
     item2: 224408.59, 
     item3: 3417828.16 
   }, { 
     y: '10/21', 
     item1: 5675720.39, 
     item2: 220256.9, 
     item3: 3761699.59 
   }, { 
     y: '11/21', 
     item1: 5834416.11, 
     item2: 227772.74, 
     item3: 3980587.58 
   }, { 
     y: '12/21', 
     item1: 5514710.32, 
     item2: 196901.4, 
     item3: 3772967.3 
   }, { 
     y: '01/22', 
     item1: 5585033.4, 
     item2: 216517.75, 
     item3: 3918745.52 
   }, { 
     y: '02/22', 
     item1: 7245737.05, 
     item2: 287830.61, 
     item3: 5170399.71 
   }, { 
     y: '03/22', 
     item1: 10649433.26, 
     item2: 422149.42, 
     item3: 7489984.96 
   }, { 
     y: '04/22', 
     item1: 8891157.1, 
     item2: 309095.32, 
     item3: 6661576.34 
   }, { 
     y: '05/22', 
     item1: 5261903.15, 
     item2: 177825.69, 
     item3: 3983592.99 
   }, { 
     y: '06/22', 
     item1: 4364978.62, 
     item2: 146230.14, 
     item3: 3319002.59 
   }],   xkey: 'y', 
  ykeys: ['item1', 'item2', 'item3'], 
  labels: ['Venda R$', 'Peso(kg)', 'Custo'], 
  lineColors: ['#57c198', '#369cd6', '#de4c5b'], 
  hideHover: 'auto', 
  hoverColor: '#ffffff', 
  parseTime: false, 
  xLabelMargin: 10, 
  fillOpacity: 0.3, 
  behaveLikeLine: true 
 }); 

});
